Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

eZDFSFileHandler Member List

This is the complete list of members for eZDFSFileHandler, including all inherited members.

$_cacheType | eZDFSFileHandler | protected
$_metaData | eZDFSFileHandler | protected
$dbbackend | eZDFSFileHandler | protected static
$filePath | eZDFSFileHandler |
$generationStartTimestamp | eZDFSFileHandler | protected
$nonExistantStaleCacheHandling | eZDFSFileHandler | protected static
$realFilePath | eZDFSFileHandler | protected
$remainingCacheGenerationTime | eZDFSFileHandler | protected
$useStaleCache | eZDFSFileHandler | protected
__construct( $filePath=false) | eZDFSFileHandler |
__get( $propertyName) | eZDFSFileHandler |
_cacheType() | eZDFSFileHandler | protected
abortCacheGeneration() | eZDFSFileHandler |
applyServerUri( $filePath) | eZDFSFileHandler |
checkCacheGenerationTimeout() | eZDFSFileHandler |
cleanPath( $path) | eZDFSFileHandler | static
dataType() | eZDFSFileHandler |
delete() | eZDFSFileHandler |
deleteLocal() | eZDFSFileHandler |
disconnect() | eZDFSFileHandler |
endCacheGeneration( $rename=true) | eZDFSFileHandler |
exists( $checkDFSFile=false) | eZDFSFileHandler |
eZClusterFileHandlerInterface::exists() | eZClusterFileHandlerInterface |
fetch( $noLocalCache=false) | eZDFSFileHandler |
fetchContents() | eZDFSFileHandler |
fetchExpiredItems( $scopes, $limit=array(0, 100), $expiry=false) | eZDFSFileHandler |
fetchUnique() | eZDFSFileHandler |
fileCopy( $srcPath, $dstPath) | eZDFSFileHandler |
fileDelete( $path, $fnamePart=false) | eZDFSFileHandler |
fileDeleteByDirList( $dirList, $commonPath, $commonSuffix) | eZDFSFileHandler |
fileDeleteByWildcard( $wildcard) | eZDFSFileHandler |
fileDeleteLocal( $path) | eZDFSFileHandler |
fileExists( $path, $checkDFSFile=false) | eZDFSFileHandler |
eZClusterFileHandlerInterface::fileExists( $path) | eZClusterFileHandlerInterface |
fileFetch( $filePath) | eZDFSFileHandler |
fileFetchContents( $filePath) | eZDFSFileHandler |
fileLinkCopy( $srcPath, $dstPath, $symLink) | eZDFSFileHandler |
fileMove( $srcPath, $dstPath) | eZDFSFileHandler |
fileStore( $filePath, $scope=false, $delete=false, $datatype=false) | eZDFSFileHandler |
fileStoreContents( $filePath, $contents, $scope=false, $datatype=false) | eZDFSFileHandler |
getFileList( $scopes=false, $excludeScopes=false, $limit=false, $path=false) | eZDFSFileHandler |
eZClusterFileHandlerInterface::getFileList( $scopes=false, $excludeScopes=false) | eZClusterFileHandlerInterface |
hasStaleCacheSupport() | eZDFSFileHandler |
INFOCACHE_MAX | eZDFSFileHandler |
isDBFileExpired( $expiry, $curtime, $ttl) | eZDFSFileHandler |
isExpired( $expiry, $curtime, $ttl) | eZDFSFileHandler |
isFileExpired( $fname, $mtime, $expiry, $curtime, $ttl) | eZDFSFileHandler | static
isLocalFileExpired( $expiry, $curtime, $ttl) | eZDFSFileHandler |
loadMetaData( $force=false) | eZDFSFileHandler |
LOCAL_CACHE | eZDFSFileHandler |
move( $dstPath) | eZDFSFileHandler |
mtime() | eZDFSFileHandler |
name() | eZDFSFileHandler |
passthrough( $startOffset=0, $length=false) | eZDFSFileHandler |
eZClusterFileHandlerInterface::passthrough() | eZClusterFileHandlerInterface |
processCache( $retrieveCallback, $generateCallback=null, $ttl=null, $expiry=null, $extraData=null) | eZDFSFileHandler |
processFile( $callback, $expiry=false, $extraData=null) | eZDFSFileHandler |
purge( $printCallback=false, $microsleep=false, $max=false, $expiry=false) | eZDFSFileHandler |
requiresClusterizing() | eZDFSFileHandler |
requiresPurge() | eZDFSFileHandler |
size() | eZDFSFileHandler |
startCacheGeneration() | eZDFSFileHandler |
stat() | eZDFSFileHandler |
storeCache( $fileData) | eZDFSFileHandler |
storeContents( $contents, $scope=false, $datatype=false, $storeLocally=false) | eZDFSFileHandler |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.